This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Wed, 8 May 2024 16:03:56 +0200
Subject: [PATCH 1/2] fix unknown type name 'uint32_t'


diff --git a/src/output.c b/src/output.c
index 1111111..2222222 100644
--- a/src/output.c
+++ b/src/output.c
@@ -62,6 +62,8 @@
 #include <arpa/inet.h>
 #endif
 
+#include <stdint.h>
+
 #include "malloc.h"
 #include "defs.h"
 #include "error.h"

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Wed, 8 May 2024 16:17:54 +0200
Subject: [PATCH 2/2] add missing source for WIN32


diff --git a/Windows/unrtf_w.c b/Windows/unrtf_w.c
index 1111111..2222222 100644
--- a/Windows/unrtf_w.c
+++ b/Windows/unrtf_w.c
@@ -74,7 +74,7 @@ unsigned int unrtf_ntohl(unsigned int in)
 
 #endif
 
-#include <Shlwapi.h>
+#include <shlwapi.h>
 #pragma comment(lib, "shlwapi.lib")
 
 const char *path_thisexecpath()
diff --git a/src/Makefile.am b/src/Makefile.am
index 1111111..2222222 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -19,5 +19,6 @@ unrtf_SOURCES = attr.c attr.h         \
 		unicode.c unicode.h   \
 		user.c user.h         \
 		util.c util.h         \
-		word.c word.h
+		word.c word.h         \
+		../Windows/unrtf_w.c
 
